The app is compatible and optimised for:

  • Mavic Mini
  • Mavic Mini 2
  • Mavic Mini SE
  • Mavic Air
  • Mavic Air 2
  • Mavic Air 2S
  • Mavic 2 Pro
  • Mavic 2 Zoom
  • Mavic 2 Enterprise
  • Mavic 2 Enterprise Dual
  • Mavic Pro
  • Mavic Pro Alpine
  • Mavic Pro Platinum
  • Spark
  • Phantom 3 series
  • Phantom 4 series

Minimum hardware required:

The app works with any device running iOS 12 or higher.
A device equipped with GPS is required for “follow / track me” functionality (note that iPads without cellular connection do not have GPS)


the application is constantly updated, check our blog to stay updated on news